Bug 1216042 (CVE-2015-1774) - CVE-2015-1774 libreoffice: HWP file filter vulnerability
Summary: CVE-2015-1774 libreoffice: HWP file filter vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-1774
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1216044 1217464 1217466
Blocks: 1216045
TreeView+ depends on / blocked
 
Reported: 2015-04-28 12:03 UTC by Martin Prpič
Modified: 2021-02-17 05:21 UTC (History)
6 users (show)

Fixed In Version: LibreOffice 4.3.7, LibreOffice 4.4.2, OpenOffice 4.1.2
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the LibreOffice HWP (Hangul Word Processor) file filter processed certain HWP documents. An attacker able to trick a user into opening a specially crafted HWP document could possibly use this flaw to execute arbitrary code with the privileges of the user opening that document.
Clone Of:
Environment:
Last Closed: 2015-11-27 09:12:52 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1458 0 normal SHIPPED_LIVE Moderate: libreoffice security, bug fix, and enhancement update 2015-07-21 14:32:26 UTC

Description Martin Prpič 2015-04-28 12:03:52 UTC
A flaw was found in the way LibreOffice processed certain HWP documents. An attacker able to trick a user into opening a specially crafted HWP document could use this flaw to execute arbitrary code on the system with the privileges of the user opening that document.

External References:

http://www.openoffice.org/security/cves/CVE-2015-1774.html
http://www.libreoffice.org/about-us/security/advisories/cve-2015-1774

Comment 1 Martin Prpič 2015-04-28 12:04:19 UTC
Created libreoffice tracking bugs for this issue:

Affects: fedora-all [bug 1216044]

Comment 3 Fedora Update System 2015-04-29 13:04:59 UTC
libreoffice-4.3.7.2-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-05-10 23:44:31 UTC
libreoffice-4.2.8.2-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2015-07-22 06:19:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1458 https://rhn.redhat.com/errata/RHSA-2015-1458.html


Note You need to log in before you can comment on or make changes to this bug.